<?php
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Page Numbers Function Starts                                                         */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/



// get the theme options starts
global $options; 
$options = get_option('ceevee_theme_options');
// get the theme options ends



function custom_pagination($pages = '', $range = '')
{  
    $showitems = ($range * 2)+1;  

    global $paged;
	if(empty($paged)) $paged = 1;

		if($pages == '')
        {
            global $wp_query;
            $pages = $wp_query->max_num_pages;
            if(!$pages)
			{
                $pages = 1;
			}
		}   

	if(1 != $pages)
	{
		echo "<div class='pagination'>";
        if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a href='".get_pagenum_link(1)."'>&laquo;</a>";
        if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'>&lsaquo;</a>";

        for ($i=1; $i <= $pages; $i++)
         	{
             	if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
             	{
                 	echo ($paged == $i)? "<span class='currentPage'>".$i."</span>":"<a href='".get_pagenum_link($i)."' class='inactive' >".$i."</a>";
             	}
         	}

		if ($paged < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($paged + 1)."'>&rsaquo;</a>";  
		if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($pages)."'>&raquo;</a>";
		echo "</div>\n";
	}
}



/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Page Numbers Function Ends                                                           */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
?>