/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Custom Functions Start                                                               */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/



/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Variables Start                                                                      */
var formFieldId = "";
/*///////////////// Variables End                                                                        */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/



/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Document Ready Starts                                                                */
jQuery(document).ready(function() {
	
	// intial settings start
	jQuery(function() {
    	jQuery("ul.settingsMenu").tabs(".settingsPanels > div",{
			current: 'currentSettings',
			effect: 'fade',
			history: 'false',
			tabs: 'li'
		});
    });
	
	jQuery(".dropDown").each(function() {
		if(jQuery(this).find("input").val()==""){
			jQuery(this).find("> a").text("Options");	
		}else{
			jQuery(this).find("> a").text(jQuery(this).find("input").val());
		}
	});
	
	jQuery(".checkBox").each(function() {
		if((jQuery(this).find("> input").val()) == "true"){
			jQuery(this).find("> a").addClass("isChecked");	
		}else{
			jQuery(this).find("> a").removeClass("isChecked");
		}
	});
	jQuery("body").append('<div class="saveSuccessful"><p>All options were successfully saved!</p></div>');
	
	var oldSendToEditor = window.send_to_editor;
	// intial settings end
	
	
	// close all drop down menus starts
	function closeDrop(){
		jQuery(".dropDown").each(function(){
			if(jQuery(".dropDown").find("> a").hasClass("dropDownIsOpen")){
				 jQuery(this).find("> a").removeClass("dropDownIsOpen");
				 jQuery(".dropDown > ul").stop(true, true).animate({
					  height:"hide"
					   },150,"easeOutCubic");
				 jQuery(".dropDown").css({"z-index":"99"});
			}	
		});
	};
	// close all drop down menus ends
	
	
	//drop down starts
    jQuery(".dropDown > a").click(function() { 
		if(!(jQuery(this).hasClass("dropDownIsOpen"))){
			closeDrop();
			jQuery(this).addClass("dropDownIsOpen");
			jQuery(this).parent().css({"z-index":"110"});
            jQuery(this).parent().find("> ul").stop(true, true).animate({ 
                height: "show"
            },150,"easeOutCubic");
		}else{
            jQuery(this).parent().find("> ul").stop(true, true).animate({
                height:"hide"
            },150,"easeOutCubic");
			jQuery(this).parent().css({"z-index":"99"});
			jQuery(this).removeClass("dropDownIsOpen");
		}
		return false;
		});
    // drop down ends
	
	
	// list items click function starts
	jQuery(".dropDown > ul > li a").click(function(e) {
		e.preventDefault();
		jQuery(this).parent().parent().parent().find("> a").text(jQuery(this).text());
		jQuery(this).parent().parent().parent().find("> input").val(jQuery(this).attr("href"));
		closeDrop();
		return false;
	});
	// list items click function ends
	
	
	// list items hover function starts
	jQuery(".dropDown > ul > li a").hover(function(){
	 	jQuery(this).stop(true, true).animate({
			"padding-left":"13px"
            },150,"easeOutCubic");
	}, function(){
		jQuery(this).stop(true, true).animate({
                "padding-left":"10px"
            },200,"easeOutCubic");
	})
	// list items hover function ends
	
	
	// hide drop down menus on click outside starts
	jQuery('html').click(function() {
	    closeDrop();
    });
	// hide drop down menus on click outside ends
	
	
	// checkbox function starts
	jQuery(".checkBox > a").click(function(){
						
		if(jQuery(this).hasClass("isChecked")){
			jQuery(this).removeClass("isChecked");
			jQuery(this).parent().find("> input").val("false");
		}else{
			jQuery(this).addClass("isChecked");
			jQuery(this).parent().find("> input").val("true");
		}
		return false;
		
	});
	// checkbox function ends 
	
	
	// animate reset error starts
    jQuery(".resetBtn").hover(function() { 
											   
        jQuery(".settingsHeaderWrap").find(".resetWarning").fadeIn(250);
		
        },function(){
			
        jQuery(".settingsHeaderWrap").find(".resetWarning").stop(true, true).fadeOut(250)
			  
    });
    // animate reset error ends
	
	
	// upload buttons start
	jQuery(".uploadBtn").click(function() {
											 
        formFieldId = jQuery(this).prev('input[type="text"]').attr('id');
		tb_show('', 'media-upload.php?type=image&amp;TB_iframe=true');
		
		mediaLoad();
        return false;
		
    });
	
	 
	jQuery("#customUploadBtn").click(function() {
											 
        formFieldId = jQuery(this).prev('input[type="text"]').attr('id');
		tb_show('', 'media-upload.php?type=image&amp;TB_iframe=true');
		
		mediaLoad();
        return false;
		
    });
	
	function mediaLoad(){
		window.send_to_editor = function(html) {
				
			imgurl = jQuery('img',html).attr('src') || jQuery(html).attr('src');
			jQuery("#" + formFieldId).val(imgurl);
			
			tb_remove();
			
			if(typeof(oldSendToEditor)=='function') {
                window.send_to_editor = oldSendToEditor;
            }
		}
	}
	// upload buttons end
	
	
	// save and reset functions start
	jQuery("#saveBtn").click(function(){
								 
	var formData = jQuery("#settingsPanel").serialize();
	
	jQuery.ajax({
	    type: "POST",
        data: formData,
        url: jQuery("#settingsPanel").attr('action'),
        success: function(data) {
			jQuery(".saveSuccessful").fadeIn(300);
			jQuery(".saveSuccessful").delay(1000).fadeOut(300);
        }
    });
	
	return false;
	
	});
	// save and reset functions end
	
	
});
/*///////////////// Document Ready Ends                                                                  */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/



/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Custom Functions End                                                                 */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/