<?php
/**
 * Template Name: Portfolio Page
 */
?>

<?php get_header(); ?>

<div class="decoration first-decoration"></div>

<div class="container">

	<?php while ( have_posts() ) : the_post(); ?>
        <!-- page content starts -->
        <?php the_content(); ?>
        <!-- page content ends -->
    <?php endwhile;?>

    <ul id="gallery" class="gallery">
        <?php
	$args = array( 'post_type' => 'portfolio', 'showposts' => $options['portfolioItemsNumber'], 'paged' => $paged );
	$portfolio_loop = new wp_query( $args );
	if ( $portfolio_loop->have_posts() ) : while ( $portfolio_loop->have_posts() ) : $portfolio_loop->the_post(); ?>
		
        <li>
            <?php $portfoliothumb = ''; $portfolioimage = ''; $portfoliothumb = wp_get_attachment_image_src(get_post_thumbnail_id( $post->ID ),'portfolio-three-thumb'); $portfolioimage = wp_get_attachment_image_src(get_post_thumbnail_id( $post->ID ),'full');?>
            <a href="<?php echo $portfolioimage[0]; ?>">
            <img src="<?php echo $portfoliothumb[0]; ?>"  alt="<?php the_title(); ?>" />
            <img class="portfolioImageLink" src="<?php echo get_template_directory_uri()?>/images/portfolioOverlay.png" alt="" />
            </a>
        </li>        
		
	<?php endwhile; endif; ?>
    </ul>
</div>

<!-- page numbers start -->
<?php custom_pagination($portfolio_loop->max_num_pages, $options['pageNumbersRange']); ?>
<!-- page numbers end -->

<?php get_footer(); ?>