<?php
/**
 * Template Name: Home Page
 */
?>
<?php get_header(); ?>

<p class="welcome-note"><strong>Welcome</strong>! This page looks sweet doesn't it?</p>

<!-- main slider starts -->
	<div id="slider" class="swipe">
    	<ul>
        <?php	
		$args = array( 'post_type' => 'slider');
		$slider_loop = new wp_query( $args );
		
		if ( $slider_loop->have_posts() ) : while ( $slider_loop->have_posts() ) : $slider_loop->the_post(); ?>
        <li> 
        <div>   
            <?php $sliderimage = ''; $sliderimage = wp_get_attachment_image_src(get_post_thumbnail_id( $post->ID ),'slider-image');?>
            <img src="<?php echo $sliderimage[0]; ?>" alt="" class="swipe-img"/>
            <p class="swipe-text"><?php the_excerpt_rss(); ?></p>
        </div>
        </li>    
		<?php endwhile; rewind_posts(); endif; ?>
        </ul>
	</div>
    <!-- main slider ends -->
    
    <!-- main slider controls start -->
    <a href="#" class="next-but-swipe"><img width="30" src="<?php echo get_template_directory_uri() ?>/images/slider/next.png" alt="img"></a>
    <a href="#" class="prev-but-swipe"><img width="30" src="<?php echo get_template_directory_uri() ?>/images/slider/prev.png" alt="img"></a> 
    <!-- main slider controls end -->
    
    <div class="container">
        <!-- page starts -->
        <?php while ( have_posts() ) : the_post(); ?>
            <!-- post content starts -->
            <?php the_content(); ?>
            <!-- post content ends -->
        <?php endwhile; // end of the loop. ?>
        <!-- page ends -->
    </div>
    
<?php get_footer(); ?>